from selenium.webdriver.common.by import By

from Pages.businessKnowledge_page import BusinessKnowledgePage
from Pages.login_page import LoginPage
from Util.Util import DriverUtils
import time
from loguru import logger
def setup_class(self):
    # 在所有的测试用例脚本之前执行一次
    # 完成公共部分初始化
    self.driver = DriverUtils.get_web_driver()
    self.login_page = LoginPage()
    self.business_page = BusinessKnowledgePage()


def teardown_class(self):
    # 在所有的测试用例脚本之后执行一次
    self.driver.quit()
    pass


def setup_method(self):
    # 在每个测试用例脚本之前执行一次
    self.driver.get('https://rays7.raysgo.com/login')
    self.login_page.login_username("17373027967", "3149390154Li")
    self.business_page.entranceAi()  # 进入AI编辑室
    self.business_page.entranceBusinessKnowledge()  # 进入企业知识库
    time.sleep(3)


def teardown_method(self):
    # 在每个测试用例脚本之后执行一次
    pass