# 这是一个示例 Python 脚本。
import pytest
from loguru import logger
from Util.handle_path import log_path
import subprocess

# 配置日志输出格式和文件
logger.add(sink=log_path,encoding="UTF-8",level="INFO",rotation="10MB",retention=20,format="{time} - {level} - {message}")


# 主函数
pytest.main(['-v',"--alluredir=output/allure_report","--clean-alluredir"])
# 生成 HTML 报告
subprocess.call('allure generate output/allure_report -o output/allure_report_html --clean', shell=True)